package common.item.block;

import common.block.tech.BlockPistonBase;
import common.init.Blocks;
import common.model.Model;
import common.model.ModelProvider;

public class ItemPiston extends ItemBlock
{
    public ItemPiston(BlockPistonBase block)
    {
        super(block);
    }
    
    public boolean isMagnetic() {
    	return true;
    }
    
    public Model getModel(ModelProvider provider, String name) {
    	return provider.getModel(provider.getModel("piston_side").add().nswe().d("piston_bottom").u("piston_top" + (this.block == 
    			Blocks.sticky_piston ? "_sticky" : "")), this.getTransform());
    }
}
